WP3WindowGroup Class Reference documentation

WP3WindowGroup Class Reference

`#include <WP3WindowGroup.h>`

Inheritance diagram for WP3WindowGroup:

## Public Member Functions
| WP3WindowGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
| ~WP3WindowGroup () override
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
void | parse (WP3Listener *listener) override
Public Member Functions inherited from WP3VariableLengthGroup
| WP3VariableLengthGroup ()
| ~WP3VariableLengthGroup () override
Public Member Functions inherited from WP3Part
virtual | ~WP3Part ()

## Private Member Functions
| WP3WindowGroup (const WP3WindowGroup &)
WP3WindowGroup & | operator= (const WP3WindowGroup &)

## Private Attributes
unsigned short | m_figureFlags
unsigned char | m_leftColumn
unsigned char | m_rightColumn
unsigned char | m_boxType
double | m_width
double | m_height
double | m_horizontalOffset
double | m_verticalOffset
unsigned | m_resourceID
std::unique_ptr< WP3SubDocument > | m_subDocument
std::unique_ptr< WP3SubDocument > | m_caption

## Additional Inherited Members
Static Public Member Functions inherited from WP3VariableLengthGroup
static WP3VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
Static Public Member Functions inherited from WP3Part
static WP3Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)
Protected Member Functions inherited from WP3VariableLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getSubGroup () const
unsigned short | getSize () const

## Constructor & Destructor Documentation

## ◆ WP3WindowGroup() [1/2]

WP3WindowGroup::WP3WindowGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

Referenced by operator=(), and WP3WindowGroup().

## ◆ ~WP3WindowGroup()

WP3WindowGroup::~WP3WindowGroup | ( |  | ) |
| override

## ◆ WP3WindowGroup() [2/2]

WP3WindowGroup::WP3WindowGroup | ( | const WP3WindowGroup & |  | ) |
| private

## Member Function Documentation

## ◆ _readContents()

void WP3WindowGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )
| overridevirtual

Reimplemented from WP3VariableLengthGroup.

## ◆ operator=()

WP3WindowGroup & WP3WindowGroup::operator= | ( | const WP3WindowGroup & |  | ) |
| private

## ◆ parse()

void WP3WindowGroup::parse | ( | WP3Listener * | listener | ) |
| overridevirtual

Implements WP3Part.

## Member Data Documentation

## ◆ m_boxType

unsigned char WP3WindowGroup::m_boxType
| private

Referenced by _readContents(), parse(), and WP3WindowGroup().

## ◆ m_caption

std::unique_ptr<WP3SubDocument> WP3WindowGroup::m_caption
| private

Referenced by _readContents(), parse(), and WP3WindowGroup().

## ◆ m_figureFlags

unsigned short WP3WindowGroup::m_figureFlags
| private

Referenced by _readContents(), parse(), and WP3WindowGroup().

## ◆ m_height

double WP3WindowGroup::m_height
| private

Referenced by _readContents(), parse(), and WP3WindowGroup().

## ◆ m_horizontalOffset

double WP3WindowGroup::m_horizontalOffset
| private

Referenced by _readContents(), parse(), and WP3WindowGroup().

## ◆ m_leftColumn

unsigned char WP3WindowGroup::m_leftColumn
| private

Referenced by _readContents(), parse(), and WP3WindowGroup().

## ◆ m_resourceID

unsigned WP3WindowGroup::m_resourceID
| private

Referenced by _readContents(), parse(), and WP3WindowGroup().

## ◆ m_rightColumn

unsigned char WP3WindowGroup::m_rightColumn
| private

Referenced by _readContents(), parse(), and WP3WindowGroup().

## ◆ m_subDocument

std::unique_ptr<WP3SubDocument> WP3WindowGroup::m_subDocument
| private

Referenced by _readContents(), parse(), and WP3WindowGroup().

## ◆ m_verticalOffset

double WP3WindowGroup::m_verticalOffset
| private

Referenced by _readContents(), parse(), and WP3WindowGroup().

## ◆ m_width

double WP3WindowGroup::m_width
| private

Referenced by _readContents(), parse(), and WP3WindowGroup().

The documentation for this class was generated from the following files:

- WP3WindowGroup.h
- WP3WindowGroup.cpp